head	1.3;
access;
symbols
	RELENG_9:1.3.0.2;
locks; strict;
comment	@# @;


1.3
date	2013.01.28.00.44.46;	author svnexp;	state Exp;
branches
	1.3.2.1;
next	1.2;

1.2
date	2013.01.22.00.30.01;	author svnexp;	state Exp;
branches;
next	1.1;

1.1
date	2013.01.22.00.26.15;	author svnexp;	state Exp;
branches;
next	;

1.3.2.1
date	2013.01.28.00.44.46;	author svnexp;	state dead;
branches;
next	1.3.2.2;

1.3.2.2
date	2013.03.13.14.06.57;	author svnexp;	state Exp;
branches;
next	1.3.2.3;

1.3.2.3
date	2014.03.31.02.01.46;	author svnexp;	state Exp;
branches;
next	1.3.2.4;

1.3.2.4
date	2014.04.14.02.01.43;	author svnexp;	state Exp;
branches;
next	1.3.2.5;

1.3.2.5
date	2014.04.14.06.02.32;	author svnexp;	state Exp;
branches;
next	;


desc
@@


1.3
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/246013
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@#!/bin/sh
#-
# Copyright (c) 2013 Nathan Whitehorn
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD: head/usr.sbin/bsdinstall/scripts/script 246013 2013-01-27 23:12:37Z nwhitehorn $

# VARIABLES:
# PARTITIONS
# DISTRIBUTIONS
# BSDINSTALL_DISTDIR

error() {
	test -f $PATH_FSTAB && bsdinstall umount
	echo "Installation Error!"
	cat $BSDINSTALL_LOG
	echo "Installation Error!"
	exit 1
}

set -e
trap error EXIT

SCRIPT="$1"
shift

echo "Begun Installation at $(date)" > $BSDINSTALL_LOG
rm -rf $BSDINSTALL_TMPETC
mkdir $BSDINSTALL_TMPETC

split -a 2 -p '^#!.*' "$SCRIPT" /tmp/bsdinstall-installscript-

. /tmp/bsdinstall-installscript-aa
: ${DISTRIBUTIONS="kernel.txz base.txz"}; export DISTRIBUTIONS
export BSDINSTALL_DISTDIR

# Make partitions
rm -f $PATH_FSTAB
touch $PATH_FSTAB
bsdinstall scriptedpart "$PARTITIONS"
bsdinstall mount

# Unpack distributions
bsdinstall checksum
bsdinstall distextract

# Finalize install
bsdinstall config

# Make sure networking is functional, if we can arrange that
if [ ! -f $BSDINSTALL_CHROOT/etc/resolv.conf -a -f /etc/resolv.conf ]; then
	cp /etc/resolv.conf $BSDINSTALL_CHROOT/etc/resolv.conf
fi

# Run post-install script
if [ -f /tmp/bsdinstall-installscript-ab ]; then
	cp /tmp/bsdinstall-installscript-ab $BSDINSTALL_CHROOT/tmp/installscript
	chmod a+x $BSDINSTALL_CHROOT/tmp/installscript
	mount -t devfs devfs "$BSDINSTALL_CHROOT/dev"
	chroot $BSDINSTALL_CHROOT /tmp/installscript $@@ 2>&1
	umount "$BSDINSTALL_CHROOT/dev"
	rm $BSDINSTALL_CHROOT/tmp/installscript
fi

bsdinstall umount

echo "Installation Completed at $(date)" >> $BSDINSTALL_LOG

trap true EXIT
@


1.3.2.1
log
@file script was added on branch RELENG_9 on 2013-03-13 14:06:57 +0000
@
text
@d1 90
@


1.3.2.2
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/248240
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@a0 90
#!/bin/sh
#-
# Copyright (c) 2013 Nathan Whitehorn
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD: stable/9/usr.sbin/bsdinstall/scripts/script 248240 2013-03-13 13:50:50Z nwhitehorn $

# VARIABLES:
# PARTITIONS
# DISTRIBUTIONS
# BSDINSTALL_DISTDIR

error() {
	test -f $PATH_FSTAB && bsdinstall umount
	echo "Installation Error!"
	cat $BSDINSTALL_LOG
	echo "Installation Error!"
	exit 1
}

set -e
trap error EXIT

SCRIPT="$1"
shift

echo "Begun Installation at $(date)" > $BSDINSTALL_LOG
rm -rf $BSDINSTALL_TMPETC
mkdir $BSDINSTALL_TMPETC

split -a 2 -p '^#!.*' "$SCRIPT" /tmp/bsdinstall-installscript-

. /tmp/bsdinstall-installscript-aa
: ${DISTRIBUTIONS="kernel.txz base.txz"}; export DISTRIBUTIONS
export BSDINSTALL_DISTDIR

# Make partitions
rm -f $PATH_FSTAB
touch $PATH_FSTAB
bsdinstall scriptedpart "$PARTITIONS"
bsdinstall mount

# Unpack distributions
bsdinstall checksum
bsdinstall distextract

# Finalize install
bsdinstall config

# Make sure networking is functional, if we can arrange that
if [ ! -f $BSDINSTALL_CHROOT/etc/resolv.conf -a -f /etc/resolv.conf ]; then
	cp /etc/resolv.conf $BSDINSTALL_CHROOT/etc/resolv.conf
fi

# Run post-install script
if [ -f /tmp/bsdinstall-installscript-ab ]; then
	cp /tmp/bsdinstall-installscript-ab $BSDINSTALL_CHROOT/tmp/installscript
	chmod a+x $BSDINSTALL_CHROOT/tmp/installscript
	mount -t devfs devfs "$BSDINSTALL_CHROOT/dev"
	chroot $BSDINSTALL_CHROOT /tmp/installscript $@@ 2>&1
	umount "$BSDINSTALL_CHROOT/dev"
	rm $BSDINSTALL_CHROOT/tmp/installscript
fi

bsdinstall umount

echo "Installation Completed at $(date)" >> $BSDINSTALL_LOG

trap true EXIT
@


1.3.2.3
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/263956
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@a3 1
# Copyright (c) 2013 Devin Teske
d27 1
a27 11
# $FreeBSD: stable/9/usr.sbin/bsdinstall/scripts/script 263956 2014-03-31 01:04:40Z dteske $
#
############################################################ INCLUDES

BSDCFG_SHARE="/usr/share/bsdconfig"
. $BSDCFG_SHARE/common.subr || exit 1
f_dprintf "%s: loading includes..." "$0"
f_include $BSDCFG_SHARE/dialog.subr
f_include $BSDCFG_SHARE/variable.subr

############################################################ CONFIGURATION
d34 5
a38 21
############################################################ GLOBALS

#
# Strings that should be moved to an i18n file and loaded with f_include_lang()
#
msg_installation_error="Installation Error!"

############################################################ FUNCTIONS

error()
{
	[ -f "$PATH_FSTAB" ] && bsdinstall umount
	
	local file
	f_getvar "$VAR_DEBUG_FILE#+" file
	if [ "$file" ]; then
		f_dialog_title "$msg_installation_error"
		f_dialog_textbox "$file"
		# No need to restore title, pining for the fjords
	fi

a41 2
############################################################ MAIN

d48 1
a48 1
f_dprintf "Began Instalation at %s" "$( date )"
a57 8
# Re-initialize a new log if preamble changed BSDINSTALL_LOG
if [ "$BSDINSTALL_LOG" != "${debugFile#+}" ]; then
	export debugFile="$BSDINSTALL_LOG"
	f_quietly f_debug_init
	# NB: Being scripted, let debug go to terminal for invalid debugFile
	f_dprintf "Began Instalation at %s" "$( date )"
fi

a85 1
bsdinstall entropy
d88 1
a88 1
f_dprintf "Installation Completed at %s" "$( date )"
a90 4

################################################################################
# END
################################################################################
@


1.3.2.4
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/264437
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@d28 1
a28 1
# $FreeBSD: stable/9/usr.sbin/bsdinstall/scripts/script 264437 2014-04-14 01:18:02Z dteske $
d98 1
a98 5
if [ "$ZFSBOOT_DISKS" ]; then
	bsdinstall zfsboot
else
	bsdinstall scriptedpart "$PARTITIONS"
fi
@


1.3.2.5
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/264450
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@d28 1
a28 1
# $FreeBSD: stable/9/usr.sbin/bsdinstall/scripts/script 264450 2014-04-14 05:38:50Z dteske $
d77 1
a77 1
f_dprintf "Began Installation at %s" "$( date )"
@


1.2
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/245707
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@d27 1
a27 1
# $FreeBSD: head/usr.sbin/bsdinstall/scripts/script 245707 2013-01-21 02:47:14Z nwhitehorn $
d71 5
@


1.1
log
@## SVN ## Exported commit - http://svnweb.freebsd.org/changeset/base/245702
## SVN ## CVS IS DEPRECATED: http://wiki.freebsd.org/CvsIsDeprecated
@
text
@d27 1
a27 1
# $FreeBSD: head/usr.sbin/bsdinstall/scripts/script 245702 2013-01-21 01:01:32Z nwhitehorn $
a52 2
cd /tmp
echo BORK
d54 1
a54 1
. bsdinstall-installscript-aa
@

